> For the complete documentation index, see [llms.txt](https://clik-ai.gitbook.io/smart-extract-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://clik-ai.gitbook.io/smart-extract-documentation/api-reference/admin-api/extraction-logs-api.md).

# Extraction Logs API

The Extraction Logs API provides an interface to pull reports for extraction logs.

#### For Production environment:

## Gets Extraction Logs

<mark style="color:blue;">`GET`</mark> `https://api.clik.ai/smart-extract-api/api/account/v1/extraction/logs`

#### Query Parameters

| Name      | Type   | Description                                                                |
| --------- | ------ | -------------------------------------------------------------------------- |
| startDate | string | ISO Date-Time formatted string                                             |
| endDate   | string | ISO Date-Time formatted string                                             |
| apiKey    | string | The api key used. Note: this must be the key itself instead of the key id. |
| status    | string | Extraction status: `SUCCESS` or `FAILED` or `ALL`                          |
| page      | number | Page number of the results. Defaults to 1.                                 |
| pageSize  | number | Size of the result page. Defaults to 100, maximum 10000.                   |

{% tabs %}
{% tab title="200: OK Returns a list of extraction logs" %}

```javascript
{
    "extractionRequests": [
        {
            "id": "00731d0d-b83c-4fc8-ba4a-613e20136d2d",
            "assetType": "MULTIFAMILY",
            "documentType": "OPERATING_STATEMENT",
            "meta": {
                "to": 4,
                "from": 2,
                "asOnDate": "2020-01-01T05:30:00.000+05:30",
                "fileName": "OS1.pdf",
                "periodTo": "2020-01-01T11:00:00.000+05:30",
                "template": "CLIK",
                "periodFrom": "2020-01-01T11:00:00.000+05:30"
            },
            "documentHash": "3a9b72c48605ae7460529fdbb55ceb18",
            "status": "SUCCESS",
            "pages": 3,
            "rows": 94,
            "extractDuration": 4895,
            "parseDuration": 2,
            "apiKeyName": "Test Key",
            "apiKey": "6ca5fd19abac13506e64d35c1cf3f735",
            "createdAt": "2021-10-01T07:31:57.647Z",
            "updatedAt": "2021-10-01T07:31:57.647Z",
            "paymentModel": "POSTPAID",
            "paymentModelEnum": "POSTPAID"
        },
        {
            "id": "029fb8d3-b986-43c8-a9a4-518114032678",
            "assetType": "MULTIFAMILY",
            "documentType": "OPERATING_STATEMENT",
            "meta": {
                "to": 1,
                "from": 1,
                "fileName": "Baywood Apartments_FS & RR_9302021_OS_(Jan 21-Jun 21).pdf",
                "periodTo": "2020-01-01T11:00:00.000+05:30",
                "template": "CLIK",
                "periodFrom": "2020-01-01T11:00:00.000+05:30"
            },
            "documentHash": "167787eb5f9ca6ec59106a29360f74f0",
            "status": "FAILED",
            "pages": 0,
            "rows": 0,
            "extractDuration": 0,
            "parseDuration": 0,
            "apiKeyName": "Test Key",
            "apiKey": "6ca5fd19abac13506e64d35c1cf3f735",
            "createdAt": "2021-11-10T11:26:22.348Z",
            "updatedAt": "2021-11-10T11:26:22.348Z",
            "paymentModel": "POSTPAID",
            "paymentModelEnum": "POSTPAID"
        }
    ],
    "page": 1,
    "pageSize": 2
}
```

{% endtab %}
{% endtabs %}

#### For Staging environment:

## Gets Extraction Logs

<mark style="color:blue;">`GET`</mark> `https://api.clik.ai/smart-extract-stg-api/api/account/v1/extraction/logs`

#### Query Parameters

| Name      | Type   | Description                                                                |
| --------- | ------ | -------------------------------------------------------------------------- |
| startDate | string | ISO Date-Time formatted string                                             |
| endDate   | string | ISO Date-Time formatted string                                             |
| apiKey    | string | The api key used. Note: this must be the key itself instead of the key id. |
| status    | string | Extraction status: `SUCCESS` or `FAILED` or `ALL`                          |
| page      | number | Page number of the results. Defaults to 1.                                 |
| pageSize  | number | Size of the result page. Defaults to 100, maximum 10000.                   |

{% tabs %}
{% tab title="200: OK Returns a list of extraction logs" %}

```javascript
{
    "extractionRequests": [
        {
            "id": "00731d0d-b83c-4fc8-ba4a-613e20136d2d",
            "assetType": "MULTIFAMILY",
            "documentType": "OPERATING_STATEMENT",
            "meta": {
                "to": 4,
                "from": 2,
                "asOnDate": "2020-01-01T05:30:00.000+05:30",
                "fileName": "OS1.pdf",
                "periodTo": "2020-01-01T11:00:00.000+05:30",
                "template": "CLIK",
                "periodFrom": "2020-01-01T11:00:00.000+05:30"
            },
            "documentHash": "3a9b72c48605ae7460529fdbb55ceb18",
            "status": "SUCCESS",
            "pages": 3,
            "rows": 94,
            "extractDuration": 4895,
            "parseDuration": 2,
            "apiKeyName": "Test Key",
            "apiKey": "6ca5fd19abac13506e64d35c1cf3f735",
            "createdAt": "2021-10-01T07:31:57.647Z",
            "updatedAt": "2021-10-01T07:31:57.647Z",
            "paymentModel": "POSTPAID",
            "paymentModelEnum": "POSTPAID"
        },
        {
            "id": "029fb8d3-b986-43c8-a9a4-518114032678",
            "assetType": "MULTIFAMILY",
            "documentType": "OPERATING_STATEMENT",
            "meta": {
                "to": 1,
                "from": 1,
                "fileName": "Baywood Apartments_FS & RR_9302021_OS_(Jan 21-Jun 21).pdf",
                "periodTo": "2020-01-01T11:00:00.000+05:30",
                "template": "CLIK",
                "periodFrom": "2020-01-01T11:00:00.000+05:30"
            },
            "documentHash": "167787eb5f9ca6ec59106a29360f74f0",
            "status": "FAILED",
            "pages": 0,
            "rows": 0,
            "extractDuration": 0,
            "parseDuration": 0,
            "apiKeyName": "Test Key",
            "apiKey": "6ca5fd19abac13506e64d35c1cf3f735",
            "createdAt": "2021-11-10T11:26:22.348Z",
            "updatedAt": "2021-11-10T11:26:22.348Z",
            "paymentModel": "POSTPAID",
            "paymentModelEnum": "POSTPAID"
        }
    ],
    "page": 1,
    "pageSize": 2
}
```

{% endtab %}
{% endtabs %}
